SELECT 
       warp_id AS stage_id
FROM warpRun 
       LEFT JOIN remoteComponent ON (remoteComponent.stage_id = warpRun.warp_id) 
       LEFT JOIN remoteRun ON (
       	    remoteComponent.remote_id = remoteRun.remote_id AND 
	    remoteRun.label = warpRun.label
	    )
WHERE
warpRun.state = 'new' AND
remoteRun.stage = 'warp' AND
remote_id IS NULL
